Downgrade OwnCloud-client to previous version

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Post Reply
Honeyman
Growing Hen
Posts: 159
Joined: Sun Apr 08, 2012 2:25
Location: Berlin, Germany

Downgrade OwnCloud-client to previous version

Post by Honeyman » Thu May 21, 2015 13:43

Hi all,

I noticed that after the upgrade to the latest package of owncloud's desktop version (1.8.0) in the entropy store, the file synchronization with the owncloud server constantly interrrupts after down- or uploading a few MBs. I had the same issue with the latest client version on Windows on Mac. The server is (still) version 7, nothing I can do about that in the near future.
On another Linux distribution with client version 1.7.0 all works well, also after downgrading to the older release on Windows and Mac. So I guess the newest version doesn't work with the older server release.

Could someone please help me with downgrading my Sabayon package via masking the newest version. I expect the problems to be solved this way, but I'm not quite sure what to put in here: /etc/portage/package.mask/00-sabayon.package.mask, if that is the right place.

The current installed version is:

Code: Select all

╠      @@ Paket: net-misc/owncloud-client-1.8.0 Branch: 5, [sabayon-weekly] 
╠          Verfügbar:      Version: 1.8.0 ~ tag: NoTag ~ Version: 0
╠          Installiert:    Version: 1.8.0 ~ tag: NoTag ~ Version: 0
╠          Slot:           0
╠          Homepage:       http://owncloud.org/ 
╠          Beschreibung:   Synchronize files from ownCloud 
╠                          Server with your computer 
Thanks for your help
Je me regarde pour me désoler,
je me compare pour me consoler

Maurice de Talleyrand

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: Downgrade OwnCloud-client to previous version

Post by wolfden » Fri May 22, 2015 5:36

have you tried the 1.8.1 version? it's in the main repo
https://packages.sabayon.org/quicksearc ... nt&x=0&y=0

otherwise for masking see for examples - /etc/entropy/packages/package.mask.example

1.7.0 is not in entropy just so you are aware, be looking at portage for a older version https://packages.gentoo.org/package/net ... oud-client

might want to try 1.8.1 first tho

Honeyman
Growing Hen
Posts: 159
Joined: Sun Apr 08, 2012 2:25
Location: Berlin, Germany

Re: Downgrade OwnCloud-client to previous version

Post by Honeyman » Fri May 22, 2015 15:48

Thanks for your quick response.

The version 1.8.1 didn't work on Windows and Mac (I know they are not Linux), and to me it seemed that it is a cross-plattform issue why synchronisation always breaks off.

In my repos only version 1.8.0 is available, so I guess I would have to enable the Limbo repository to get the 1.8.1 version?
Je me regarde pour me désoler,
je me compare pour me consoler

Maurice de Talleyrand

Stupot
Sagely Hen
Posts: 1819
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Downgrade OwnCloud-client to previous version

Post by Stupot » Fri May 22, 2015 17:06

No, not the limbo repository, just sabayonlinux.org repo (aka the main repo). It seems your machine has the sabayon-weekly repo enabled.

Post Reply